import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

// 添加
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderpayadd`, { data });
};

// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderpaylist`, { data });
};
//详情
export const httpInfo = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}tradeinfo`, { data });
};

//上传execl
export const httpUpload = (data: any): any => {
  return http.request("post", `${yewuApi}importTrade`, { data });
};
